Refuse your invitation to a space
POST /api/member/communities/{communityId}/spaces/{spaceId}/refusal. Refuse your invitation to a space. Headless LMS Communities API reference.
For a member of the community who is not staff. 409 when you have no open invitation or are already a member.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/communities/string/spaces/string/refusal"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Decline a person's request to join a space you moderate POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/decline. Decline a person's request to join a space you moderate. Headless LMS Communities API reference.
Leave a space POST
POST /api/member/communities/{communityId}/spaces/{spaceId}/departure. Leave a space. Headless LMS Communities API reference.